addftinfo(1)

Name
addftinfo - Schrift-Metriken, die mit groff verwendet werden sollen, zu troff-Schriftdateien hinzufügen

Übersicht
addftinfo [-asc-height n] [-body-depth n] [-body-height n] [-cap-height n] [-comma-depth n] [-desc-depth n] [-fig-height n] [-x-height n] Auflösung Einheitsbreite Schrift
addftinfo --help
addftinfo -v
addftinfo --version

Beschreibung
addftinfo liest eine AT&T troff-Schriftbeschreibungsdatei, fügt zusätzliche Informationen zur Schriftmetrik hinzu, die von GNU troff(1) benötigt werden, und schreibt das kombinierte Ergebnis in die Standardausgabe. Die hinzugefügten Informationen werden aus vorhandenen Schriftparametern und Annahmen zu traditionellen troff-Zeichennamen abgeleitet. Zu den hinzugefügten Schriftmetriken gehören die Höhen und Tiefen der Zeichen (die vertikale Ausdehnung eines Zeichens über beziehungsweise unter der Grundlinie). Die Argumente Auflösung und Einheitsbreite sollten dieselben wie die korrespondierenden Parameter in der DESC-Datei sein. Schrift ist der Name der Datei, welche die Schrift beschreibt; falls Schrift mit »I« endet, wird davon ausgegangen, dass die Schrift schräg (oder kursiv) ist.

Optionen
--help zeigt eine Hilfe zur Verwendung an, während -v und --version die Versionsinformation anzeigen. Alle drei beenden sich danach.

Alle weiteren Optionen ändern Parameter, die zur Ableitung der Höhen und Tiefen verwendet werden. Wie die vorhandenen Größen in der Schriftbeschreibungsdatei ist jeder Wert n in skalierten Punkten, Zoll/Auflösung für eine Schrift, deren Punktgröße Einheitsbreite ist; siehe groff_font(5)

-asc-height n
    Die Höhe von Zeichen mit Oberlängen, wie beispielsweise »b«, »d« oder »l«.

-body-depth n
    Die Tiefe von Zeichen wie Klammern.

-body-height n
    Die Höhe von Zeichen wie Klammern.

-cap-height n
    Die Höhe von Großbuchstaben, wie beispielsweise »A«.

-comma-depth n
    Die Tiefe des Kommas.

-desc-depth n
    Die Höhe von Zeichen mit Unterlängen, wie beispielsweise »p«, »q« oder »y«.

-fig-height
    Die Höhe von Zahlen (Ziffern).

-x-height n
    Die Höhe von Kleinbuchstaben ohne Oberlängen, wie beispielsweise »x«.

addftinfo versucht nicht, anhand der angegebenen Parameter die nicht angegebenen Parameter zu erraten. Falls ein Parameter nicht gesetzt ist, wird die Vorgabe verwendet. Die Voreinstellungen sind so gewählt, dass sie annehmbare Werte für eine Times-Schrift ergeben.

Siehe auch
groff_font(5) , groff(1) , groff_char(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).